define({ "api": [
  {
    "type": "post",
    "url": "/event",
    "title": "POST",
    "name": "CreateEvent",
    "group": "Event",
    "permission": [
      {
        "name": "authenticated",
        "title": "Connected user only",
        "description": "<p>Allow only a connected user to pass</p>"
      }
    ],
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>Event code you want to create</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": true,
            "field": "user",
            "description": "<p>id of the user concerned by the event (only for user-related event)</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": true,
            "field": "house",
            "description": "<p>id of the house where the events take place</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": true,
            "field": "room",
            "description": "<p>id of the room where the events take place</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "id",
            "description": "<p>Event id</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "user",
            "description": "<p>User id</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "house",
            "description": "<p>House id</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "room",
            "description": "<p>Room id</p>"
          },
          {
            "group": "Success 200",
            "type": "Integer",
            "optional": false,
            "field": "eventtype",
            "description": "<p>Event Type id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>Event code</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>Event name</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "description",
            "description": "<p>Event description</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "api/controllers/EventController.js",
    "groupTitle": "Event"
  },
  {
    "type": "get",
    "url": "/event",
    "title": "GET",
    "name": "GetEvents",
    "group": "Event",
    "permission": [
      {
        "name": "authenticated",
        "title": "Connected user only",
        "description": "<p>Allow only a connected user to pass</p>"
      }
    ],
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": true,
            "field": "take",
            "description": "<p>Number of events to return</p>"
          },
          {
            "group": "Parameter",
            "type": "Integer",
            "optional": true,
            "field": "skip",
            "description": "<p>Where to start (for pagination)</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "event": [
          {
            "group": "event",
            "type": "Integer",
            "optional": false,
            "field": "id",
            "description": "<p>Event id</p>"
          },
          {
            "group": "event",
            "type": "Integer",
            "optional": false,
            "field": "user",
            "description": "<p>User id</p>"
          },
          {
            "group": "event",
            "type": "Integer",
            "optional": false,
            "field": "house",
            "description": "<p>House id</p>"
          },
          {
            "group": "event",
            "type": "Integer",
            "optional": false,
            "field": "room",
            "description": "<p>Room id</p>"
          },
          {
            "group": "event",
            "type": "Integer",
            "optional": false,
            "field": "eventtype",
            "description": "<p>Event Type id</p>"
          }
        ],
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>Event code</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "name",
            "description": "<p>Event name</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "description",
            "description": "<p>Event description</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "api/controllers/EventController.js",
    "groupTitle": "Event"
  }
] });
